4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.Formatters.ExtensionFormatter

Classes: ExtensionFormatter

## Classes

class ExtensionFormatter(Ft.Lib.DistExt.Formatters.XmlFormatter.XmlFormatter)

  ### Methods

  doc_element(self, element, namespace, qname)
    Document extension elements
  doc_function(self, function, namespace, qname)
    Document extension functions
  doc_namespace(self, namespace, prefix)
    Document extension namespaces
  document(self, module)
    Produce documentation for a given module object.
    Overrides: document from class XmlFormatter
  make_qname(self, namespaces, namespace_uri, name)

  ### Methods inherited from class Ft.Lib.DistExt.Formatters.XmlFormatter.XmlFormatter

  __init__, end_element, format, section, start_element, warn, write_element

  ### Methods inherited from class Ft.Lib.DistExt.Formatters.XmlFormatter.XmlRepr

  escape, repr, repr_str, repr_unicode

  ### Methods inherited from class pydoc.TextRepr

  repr1, repr_instance, repr_string

  ### Methods inherited from class repr.Repr

  repr_array, repr_deque, repr_dict, repr_frozenset, repr_list, repr_long, repr_set, repr_tuple

  ### Members

  document_type = <type 'module'>
    module(name[, doc])

        Create a module object.
        The name must be a string; the optional doc argument can have any type.

  ### Members inherited from class Ft.Lib.DistExt.Formatters.XmlFormatter.XmlFormatter

  indent